Getting started
Back to home
Getting started

Read import logs

Read available diagnostic logs for a database import.

GET/api/customer/v1/projects/{projectId}/databases/{databaseId}/imports/{importId}/logs

Path parameters

NameValue
projectIdRequired resource ID from an earlier API response.
databaseIdRequired resource ID from an earlier API response.
importIdRequired resource ID from an earlier API response.

Example request

Set HCODE_BASE_URL and HCODE_API_KEY as shown in Getting started. Replace resource variables with your own IDs.

curl --request GET "$HCODE_BASE_URL/api/customer/v1/projects/${PROJECT_ID}/databases/${DATABASE_ID}/imports/${IMPORT_ID}/logs" \
  --header "Authorization: Bearer $HCODE_API_KEY"

Response

The JSON shape is defined in the response schema.

Response schema
{
  "type": "object",
  "properties": {
    "logs": {
      "type": "string"
    }
  },
  "required": [],
  "additionalProperties": true
}

See errors and retries for failure responses.